POST /v1/property/single

API which will return all the available Product(s) with calculated prices for requested property and stay criteria.

application/json

Body Required

  • propertyId integer(int64) Required

    momorooms ID of the property against which detail is triggered. If the detail is to be done on a Top Secret offer, the corresponding unbranded property id should be sent in the detail request.

  • checkIn string(date) Required

    Date of check-in in the format (yyyy-mm-dd)

  • checkOut string(date) Required

    Date of checkout (not included in stay) in the format (yyyy-mm-dd)

  • market string Required

    ISO country codes for the market

    Country Name Country code
    Austria AT
    Belgium BE
    Bulgaria BG
    Chile CL
    Croatia HR
    Cyprus CY
    Czechia CZ
    Denmark DK
    Estonia EE
    Finland FI
    France FR
    Germany DE
    Hungary HU
    Iceland IS
    India IN
    Ireland IE
    Italy IT
    Latvia LV
    Lithuania LT
    Luxembourg LU
    Malta MT
    Mexico MX
    Netherlands NL
    Norway NO
    Poland PL
    Portugal PT
    Romania RO
    Slovakia SK
    Slovenia SI
    Spain ES
    Sweden SE
    Switzerland CH
    United Kingdom GB
    United States of America US
    Argentina AR
    Greece GR

  • currencyCode string

    Represents the three-letter currency code as per the ISO 4217 standard.

  • rateType string Required

    Parameter denoting for which kind of rate is the request triggered as in below table

    Scenario Rate Type
    Regular RateBAR

  • productType string Required

    Parameter denoting for which kind of product is the request triggered as in below table

    Scenario Search Path
    Request includes only hotel accommodationsHotel
    Request includes only packages bundled with hotel staysPackage

  • roomStays array[object] Required

    Collection for holding the guest details for each room requested. Collection to be repeated for each room.

    At least 1 but not more than 9 elements.

    Hide roomStays attributes Show roomStays attributes object
    • id integer(int32) Required

      Unique identifier for each room stay in the reservation. Room ids must start at 0 and increment by 1 for each additional room (0,1,2,...).

    • guestCount object Required
      Hide guestCount attributes Show guestCount attributes object
      • adultCount integer(int32) Required

        Number of Adults in the party mix.

        Minimum value is 1, maximum value is 9.

      • childAges array[integer(int32)]

        List of ages of the children in the party mix.Comma separated values. Example - [2,5] denotes 2 children in the party mix of ages 2 & 5.

        Not more than 8 elements.

Responses

  • 200 application/json

    OK

    One of:
  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        1002CheckIn is required, Please provide a valid value
        1003CheckOut is required, Please provide a valid value
        1004Market is required, Please provide a valid value
        1005ProductType is required, Please provide a valid value
        1006RoomStay is required, Please provide a valid value
        1007RoomStay Id is required, Please provide a valid value
        1008Adult Count is required, Please provide a valid value
        1009Guest is required, Please provide a valid value
        1010Number of Child per room must be within 8
        1011Number of Adult per room must be within 9
        1012Number of room requested must be within 9
        1014CheckIn must be in the future
        1015CheckOut must be in the future
        1016CheckIn/CheckOut must be in the format: yyyy-MM-dd
        1017CheckOut must be after checkIn
        1018Invalid Value for Market, Please provide a valid value [AT, BE, BG, CL, HR, CY, CZ, DK, EE, FI, FR, DE, HU, IS, IN, IE, IT, LV, LT, LU, MT, MX, NL, NO, PL, PT, RO, SK, SI, ES, SE, CH, GB, US, AR, GR]
        1019Invalid Value for ProductType, Please provide a valid value Hotel, Package
        1020PropertyId is required, Please provide a valid value
        1022RateType is required, Please provide a valid value
        1027Currency not supported

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500An unexpected error occurred. Please try again later.

POST /v1/property/single
curl \
 --request POST 'https://partner.momorooms.com/v1/property/single' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"propertyId":42,"checkIn":"2026-05-04","checkOut":"2026-05-04","market":"string","currencyCode":"string","rateType":"string","productType":"string","roomStays":[{"id":42,"guestCount":{"adultCount":42,"childAges":[42]}}]}'
Request examples
{
  "propertyId": 42,
  "checkIn": "2026-05-04",
  "checkOut": "2026-05-04",
  "market": "string",
  "currencyCode": "string",
  "rateType": "string",
  "productType": "string",
  "roomStays": [
    {
      "id": 42,
      "guestCount": {
        "adultCount": 42,
        "childAges": [
          42
        ]
      }
    }
  ]
}
Response examples (200)
{
  "property": {
    "propertyId": 42,
    "propertyName": "string",
    "currencyCode": "string",
    "roomStays": [
      {
        "id": 42,
        "roomId": 42,
        "roomName": "string",
        "roomDescription": "string",
        "bedTypeInfo": "string",
        "rateType": "string",
        "products": [
          {
            "productId": 42.0,
            "boardBasis": {
              "id": 42,
              "name": "string",
              "detail": "string"
            },
            "charges": {
              "includedCharges": 42.0,
              "excludedCharges": 42.0,
              "excludedChargeDetails": {
                "resortFee": 42.0,
                "childResortFee": 42.0,
                "cityTaxes": 42.0,
                "hotelServiceFee": 42.0
              },
              "total": 42.0,
              "minSellablePrice": 42.0,
              "prePromoTotal": 42.0,
              "discountPercentage": 42.0
            },
            "promotions": [
              {
                "promoType": "Value Add, Discount Off, Free Night",
                "description": "string"
              }
            ],
            "cancelPenalties": [
              {
                "penaltyWindow": 42,
                "penaltyStartDate": "string",
                "penaltyEndDate": "string",
                "penaltyPercentage": 42.0,
                "penaltyNights": 42.0,
                "penaltyInAmount": 42.0,
                "refundable": true
              }
            ]
          }
        ],
        "availableRooms": 42,
        "images": [
          "string"
        ],
        "roomAmenities": [
          {
            "id": 42,
            "name": "string"
          }
        ]
      }
    ]
  }
}
{
  "errors": [
    {
      "code": 42,
      "message": "string"
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}